NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO
imapd(8)

## NAME

imtest - interactive IMAP test program

## SYNOPSIS

imtest [ -t keyfile ] [ -p port ] [ -m mechanism ]
[ -u user ] [ -a user ] [ -k num ] [ -l num ]
[ -r realm ] [ -f file ] [ -v ] [ -z ] hostname

## DESCRIPTION

imtest is a utility that allows you to authenticate to a IMAP or IMSP server and interactively issue commands to it. Once authenticated you may issue any IMAP or IMSP command by simply typing it in. It is capable of multiple SASL authentication mechanisms and handles encryption layers transparently. This utility is often used for testing the operation of a imsp or imap server. Also those developing IMAP clients find it useful.

## OPTIONS

-t keyfile |  | Enable TLS. keyfile contains the TLS public and private keys. Specify "" to negotiate a TLS encryption layer but not use TLS authentication.
-p port -m mechanism |  | Port to connect to. If left off this defaults to imap as defined in /etc/services. Force imtest to use mechanism for authentication. If not specified the strongest authentica- tion mechanism supported by the server is chosen. Specify login to use the LOGIN com- mand instead of AUTHENTICATE.
-u user -a user -k num -l num |  | Username to use for authentication; defaults to the current user. Authname to use for authentication; defaults to the current user. Minimum protection layer required. Maximum protection layer to use (0=none; 1=integrity; etc). For example if you are using the KERBEROS_V4 authentication mechanism specifying 0 will force imtest to not use any layer and specifying 1 will force it to use the integrity layer. By default the maximum sup- ported protection layer will be used.
-r realm |  | Specify the realm to use. Certain authentication mechanisms (e.g. DIGEST-MD5) may require one to specify the realm.
-f file -v -z |  | Pipe file into connection after authentication. Verbose. Print out more information than usual. Timing test.

## SEE ALSO

## imapd(8)